.create-user-container,
.user-login-container {
    margin-top: 36px;
    text-align: center;
}
.create-user-container div,
.user-login-container div{
    margin-bottom: 10px;
    font-size: 18px;
    font-weight: 700;
}
.create-user-container a,
.user-login-container a {
    width: 200px;
    display: inline-block;
    padding: 10px 20px;
    border: 3px solid var(--mirai-color-black-90);
    border-radius: 99px;
    font-size: 18px;
    font-weight: 700;
    color: var(--mirai-color-black-100);
    text-decoration: none;
}

.woocommerce label {
    font-size: 13px;
    font-weight: 500;
    color: var(--mirai-color-black-60);
}

.woocommerce .u-columns h2 {
    margin-bottom: 0;
    text-align: center;
}

.woocommerce form.login, .woocommerce form.register {
    margin: 0;
    padding: 0;
    border: 0;
}

.woocommerce form .form-row {
    width: 100%;
    margin: 6px 0;
    padding: 0;
}

.woocommerce form .show-password-input::before, .woocommerce-page form .show-password-input::before {
    background: none;
}
.woocommerce form .show-password-input.display-password::before, .woocommerce-page form .show-password-input.display-password::before {
    background: none;
}
.show-password-input {
    all: unset;
    width: 24px;
    height: 24px;
    padding: 0;
    border: none;
    background: url('/wp-content/themes/mirai/img/view24.svg') no-repeat center;
    background-size: contain;
    cursor: pointer;
    font-size: 0;
}
.show-password-input.display-password {
    background-image: url('/wp-content/themes/mirai/img/hide24.svg');
}

.g-recaptcha {
    margin-top: 1em;
}

.woocommerce .woocommerce-form-login .woocommerce-form-login__rememberme {
    font-size: 13px;
    font-weight: 700;
    color: var(--mirai-color-black-90);
}

.woocommerce-LostPassword.lost_password {
    margin: 0 !important;
    text-align: center;
}
.woocommerce-LostPassword.lost_password a {
    font-size: 13px;
    font-weight: 700;
    text-decoration: underline;
    color: var(--mirai-color-black-40);
}

.woocommerce .woocommerce-form-login .woocommerce-form-login__submit,
.woocommerce .woocommerce-form-register .woocommerce-form-register__submit {
    float: none !important;
    display: block;
    margin: 1.5em auto 0;
    padding: 19px 20px;
    font-size: 18px;
    width: 200px;
}

.woocommerce-privacy-policy-text p {
    margin: 0 0 1em 0 !important;
    font-size: 13px;
}

/*woocommerce - my page - login*/
body.page-id-10 #customer_login .u-column2,
body.page-id-1328 #customer_login .u-column1 {
    display: none;
}
body.page-id-10 #customer_login .u-column1,
body.page-id-1328 #customer_login .u-column2 {
    float: none !important;
    margin: 0 auto !important;
    padding: 20px 15% 40px !important;
    border-radius: 20px;
    display: block !important;
    clear: both;
    width: 75% !important;
    background: var(--mirai-color-white) !important;
}

/*woocommerce - my page - login.d
body.page-id-880 #customer_login .u-column2,
body.page-id-1314 #customer_login .u-column1 {
    display: none;
}
body.page-id-880 #customer_login .u-column1,
body.page-id-1314 #customer_login .u-column2 {
    float: none !important;
    margin: 0 auto !important;
    padding: 20px 15% 40px !important;
    border-radius: 20px;
    display: block !important;
    clear: both;
    width: 75% !important;
    background: var(--mirai-color-white) !important;
}*/

@media screen and (max-width: 1000px) {
    /*woocommerce - my page - login
    body.page-id-10 #customer_login .u-column1 {
        padding: 20px 10px !important;
        width: 100% !important;
    }
    body.page-id-1328 #customer_login .u-column2 {
        padding: 20px 10px !important;
        width: 100% !important;
    }*/
    /*woocommerce - my page - login.d*/
    body.page-id-880 #customer_login .u-column1 {
        padding: 20px 10px !important;
        width: 100% !important;
    }
    body.page-id-1314 #customer_login .u-column2 {
        padding: 20px 10px !important;
        width: 100% !important;
    }

    .woocommerce .woocommerce-form-login .woocommerce-form-login__submit,
    .woocommerce .woocommerce-form-register .woocommerce-form-register__submit,
    .create-user-container div,
    .user-login-container div,
    .create-user-container a,
    .user-login-container a {
        font-size: 16px;
    }
}


/*my page*/
.woocommerce:not(:has(#customer_login)) { /*not work in safari*/
    padding: 24px;
    border-radius: 20px;
    background-color: var(--mirai-color-white);
}
.woocommerce-MyAccount-navigation ul {
    list-style: none;
    padding: 0;
    margin: 0;
}
.woocommerce-MyAccount-navigation li {
    margin-bottom: 5px;
}
.woocommerce-MyAccount-navigation a {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 14px;
    transition: background 0.2s, color 0.2s;
    position: relative;
    max-width: 200px;
    padding: 10px 18px;
    border-radius: 8px;
    font-size: 16px;
    font-weight: 700;
    line-height: 170%;
    text-decoration: none;
    color: var(--mirai-color-black-60);
}
.woocommerce-MyAccount-navigation a::before {
    content: "";
    display: inline-block;
    width: 24px;
    height: 24px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}
.woocommerce-MyAccount-navigation-link--dashboard a::before {
    background-image: url('/wp-content/themes/mirai/img/mypage-dashboard.svg');
}
.woocommerce-MyAccount-navigation-link--orders a::before {
    background-image: url('/wp-content/themes/mirai/img/mypage-invoice.svg');
}
.woocommerce-MyAccount-navigation-link--edit-address a::before {
    background-image: url('/wp-content/themes/mirai/img/mypage-address.svg');
}
.woocommerce-MyAccount-navigation-link--payment-methods a::before {
    background-image: url('/wp-content/themes/mirai/img/mypage-cc.svg');
}
.woocommerce-MyAccount-navigation-link--edit-account a::before {
    background-image: url('/wp-content/themes/mirai/img/mypage-user.svg');
}
.woocommerce-MyAccount-navigation-link--customer-logout a::before {
    background-image: url('/wp-content/themes/mirai/img/mypage-logout.svg');
}
.woocommerce-MyAccount-navigation .is-active a {
    background-color: var(--mirai-color-beige-heavy);
}
.woocommerce-MyAccount-navigation a:hover {
    background-color: var(--mirai-color-beige-heavy);
}
.woocommerce-MyAccount-navigation-link--customer-logout a {
    color: var(--mirai-color-red-100);
}
.woocommerce-MyAccount-navigation-link--customer-logout a:hover {
    background-color: var(--mirai-color-red-light);
}

/*dashboard*/
.woocommerce-account .woocommerce-MyAccount-content {
    font-size: 16px;
    font-weight: 700;
}

/*orders*/
.woocommerce table.my_account_orders {
    border: 0;
}
.woocommerce table.my_account_orders .button {
    padding: 9px 20px 11px;
    background-color: var(--mirai-color-black-10);
    font-size: 16px;
    font-weight: 700;
    color: var(--mirai-color-green-100);
}

/*address*/
.woocommerce-Address address {
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
}
.select2.select2-container.select2-container--default {
    /*請求先住所-市区町村*/
    margin-bottom: 12px;
}